# Interface JmolAppAPI

All Known Implementing Classes:
  `JmolApp, Nmr`

public interface JmolAppAPI

## Method Summary

Modifier and Type
Method
Description
`void`
`addHistoryWindowDimInfo(String name, Component window, Dimension inner)`
`void`
`addHistoryWindowInfo(String name, Component window, Point border)`
`Point`
`getHistoryWindowPosition(String windowName)`
`Dimension`
`getHistoryWindowSize(String windowName)`

## Method Details

### getHistoryWindowSize

Dimension getHistoryWindowSize(String windowName)

### getHistoryWindowPosition

Point getHistoryWindowPosition(String windowName)

### addHistoryWindowInfo

void addHistoryWindowInfo(String name, Component window, Point border)

### addHistoryWindowDimInfo

void addHistoryWindowDimInfo(String name, Component window, Dimension inner)